Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultConditionFactory

    java.lang.Object
      org.apache.batik.css.parser.DefaultConditionFactory

All Implemented Interfaces:
  org.w3c.css.sac.ConditionFactory

    public class DefaultConditionFactory

extends Object
implements org.w3c.css.sac.ConditionFactory

This class provides an implementation of the `ConditionFactory` interface.

Field Summary
`static org.w3c.css.sac.ConditionFactory` | `INSTANCE` The instance of this class.

Constructor Summary
`protected` | `DefaultConditionFactory()` This class does not need to be instantiated.

Method Summary
`org.w3c.css.sac.CombinatorCondition` | `createAndCondition(org.w3c.css.sac.Condition first, org.w3c.css.sac.Condition second)` SAC: Implements `ConditionFactory.createAndCondition(Condition,Condition)`.
`org.w3c.css.sac.AttributeCondition` | `createAttributeCondition(String localName, String namespaceURI, boolean specified, String value)` SAC: Implements `ConditionFactory.createAttributeCondition(String,String,boolean,String)`.
`org.w3c.css.sac.AttributeCondition` | `createBeginHyphenAttributeCondition(String localName, String namespaceURI, boolean specified, String value)` SAC: Implements `ConditionFactory.createBeginHyphenAttributeCondition(String,String,boolean,String)`.
`org.w3c.css.sac.AttributeCondition` | `createClassCondition(String namespaceURI, String value)` SAC: Implements `ConditionFactory.createClassCondition(String,String)`.
`org.w3c.css.sac.ContentCondition` | `createContentCondition(String data)` SAC: Implements `ConditionFactory.createContentCondition(String)`.
`org.w3c.css.sac.AttributeCondition` | `createIdCondition(String value)` SAC: Implements `ConditionFactory.createIdCondition(String)`.
`org.w3c.css.sac.LangCondition` | `createLangCondition(String lang)` SAC: Implements `ConditionFactory.createLangCondition(String)`.
`org.w3c.css.sac.NegativeCondition` | `createNegativeCondition(org.w3c.css.sac.Condition condition)` SAC: Implements `ConditionFactory.createNegativeCondition(Condition)`.
`org.w3c.css.sac.AttributeCondition` | `createOneOfAttributeCondition(String localName, String nsURI, boolean specified, String value)` SAC: Implements `ConditionFactory.createOneOfAttributeCondition(String,String,boolean,String)`.
`org.w3c.css.sac.Condition` | `createOnlyChildCondition()` SAC: Implements `ConditionFactory.createOnlyChildCondition()`.
`org.w3c.css.sac.Condition` | `createOnlyTypeCondition()` SAC: Implements `ConditionFactory.createOnlyTypeCondition()`.
`org.w3c.css.sac.CombinatorCondition` | `createOrCondition(org.w3c.css.sac.Condition first, org.w3c.css.sac.Condition second)` SAC: Implements `ConditionFactory.createOrCondition(Condition,Condition)`.
`org.w3c.css.sac.PositionalCondition` | `createPositionalCondition(int position, boolean typeNode, boolean type)` SAC: Implements `ConditionFactory.createPositionalCondition(int,boolean,boolean)`.
`org.w3c.css.sac.AttributeCondition` | `createPseudoClassCondition(String namespaceURI, String value)` SAC: Implements `ConditionFactory.createPseudoClassCondition(String,String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final org.w3c.css.sac.ConditionFactory INSTANCE

  The instance of this class.

Constructor Detail

### DefaultConditionFactory

    protected DefaultConditionFactory()

  This class does not need to be instantiated.

Method Detail

### createAndCondition

    public org.w3c.css.sac.CombinatorCondition createAndCondition(org.w3c.css.sac.Condition first,
                                                                  org.w3c.css.sac.Condition second)
                                                           throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createAndCondition(Condition,Condition)`.

  Specified by:
    `createAndCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createOrCondition

    public org.w3c.css.sac.CombinatorCondition createOrCondition(org.w3c.css.sac.Condition first,
                                                                 org.w3c.css.sac.Condition second)
                                                          throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createOrCondition(Condition,Condition)`.

  Specified by:
    `createOrCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createNegativeCondition

    public org.w3c.css.sac.NegativeCondition createNegativeCondition(org.w3c.css.sac.Condition condition)
                                                              throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createNegativeCondition(Condition)`.

  Specified by:
    `createNegativeCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createPositionalCondition

    public org.w3c.css.sac.PositionalCondition createPositionalCondition(int position,
                                                                         boolean typeNode,
                                                                         boolean type)
                                                                  throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createPositionalCondition(int,boolean,boolean)`.

  Specified by:
    `createPositionalCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createAttributeCondition

    public org.w3c.css.sac.AttributeCondition createAttributeCondition(String localName,
                                                                       String namespaceURI,
                                                                       boolean specified,
                                                                       String value)
                                                                throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createAttributeCondition(String,String,boolean,String)`.

  Specified by:
    `createAttributeCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createIdCondition

    public org.w3c.css.sac.AttributeCondition createIdCondition(String value)
                                                         throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createIdCondition(String)`.

  Specified by:
    `createIdCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createLangCondition

    public org.w3c.css.sac.LangCondition createLangCondition(String lang)
                                                      throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createLangCondition(String)`.

  Specified by:
    `createLangCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createOneOfAttributeCondition

    public org.w3c.css.sac.AttributeCondition createOneOfAttributeCondition(String localName,
                                                                            String nsURI,
                                                                            boolean specified,
                                                                            String value)
                                                                     throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createOneOfAttributeCondition(String,String,boolean,String)`.

  Specified by:
    `createOneOfAttributeCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createBeginHyphenAttributeCondition

    public org.w3c.css.sac.AttributeCondition createBeginHyphenAttributeCondition(String localName,
                                                                                  String namespaceURI,
                                                                                  boolean specified,
                                                                                  String value)
                                                                           throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createBeginHyphenAttributeCondition(String,String,boolean,String)`.

  Specified by:
    `createBeginHyphenAttributeCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createClassCondition

    public org.w3c.css.sac.AttributeCondition createClassCondition(String namespaceURI,
                                                                   String value)
                                                            throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createClassCondition(String,String)`.

  Specified by:
    `createClassCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createPseudoClassCondition

    public org.w3c.css.sac.AttributeCondition createPseudoClassCondition(String namespaceURI,
                                                                         String value)
                                                                  throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createPseudoClassCondition(String,String)`.

  Specified by:
    `createPseudoClassCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createOnlyChildCondition

    public org.w3c.css.sac.Condition createOnlyChildCondition()
                                                       throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createOnlyChildCondition()`.

  Specified by:
    `createOnlyChildCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createOnlyTypeCondition

    public org.w3c.css.sac.Condition createOnlyTypeCondition()
                                                      throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createOnlyTypeCondition()`.

  Specified by:
    `createOnlyTypeCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

### createContentCondition

    public org.w3c.css.sac.ContentCondition createContentCondition(String data)
                                                            throws org.w3c.css.sac.CSSException

  SAC: Implements `ConditionFactory.createContentCondition(String)`.

  Specified by:
    `createContentCondition` in interface `org.w3c.css.sac.ConditionFactory`
  Throws:
    `org.w3c.css.sac.CSSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.